Bug 1285662 - Host status is operational though the bridge of a required network is disconnected from any nic
Host status is operational though the bridge of a required network is disconn...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.0
Unspecified Unspecified
low Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: Leon Goldberg
Meni Yakove
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 03:22 EST by Eliraz Levi
Modified: 2017-09-28 05:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
getVdsCaps (26.78 KB, text/plain)
2015-11-26 03:22 EST, Eliraz Levi
no flags Details

  None (edit)
Description Eliraz Levi 2015-11-26 03:22:42 EST
Created attachment 1099164 [details]
getVdsCaps

Description of problem:
If host is missing a required network then its status should become as non operational.
Having a bridge with no interfaces is like having no bridge at all.
Thus, if a required network exists as a bridge with no interfaces, then the host's status should be non operational.

The main problem is that in vdsGetCaps the bridge is reported and engine (VdsBrokerObjectsBuilder) is just warning that the bridge doesn't has any reported ports (interfaces) active.

Version-Release number of selected component (if applicable): 3.6


How reproducible:
Always

Steps to Reproduce:
1. Create a network and attach the network to an interface
2. start ssh session as root to the host, run "brctl delif <network_name> <interface_name>
3. refresh host capabilities via engine

Actual results:
Host's status is still operational

Expected results:
Host become non operational.
Engine should assert that at least one of the reported ports by vdsm is active.
If non such exist and the network is required, set host state as non operational.
Instead, only a warning is printed:

2015-11-26 10:10:49,838 WARN  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-7-thread-10) [67ffd56] Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: Network NET0 is not attached to any interface on host centos7-1.

Additional info:


==========================host terminal session ==============================
[root@dhcp-0-237 ~]# brctl show
bridge name	bridge id		STP enabled	interfaces
;vdsmdummy;		8000.000000000000	no		
NET0		8000.52540099a481	no		eth1
NET1		8000.525400d72fbb	no		eth2
NET2		8000.5254001b2f40	no		eth3
no_interfaces		8000.000000000000	no		
ovirtmgmt		8000.525400e425eb	no		eth0
[root@dhcp-0-237 ~]# brctl delif ovirtmgmt eth0
[root@dhcp-0-237 ~]# 
[root@dhcp-0-237 ~]# 
[root@dhcp-0-237 ~]# 
[root@dhcp-0-237 ~]# 
[root@dhcp-0-237 ~]# brctl show
bridge name	bridge id		STP enabled	interfaces
;vdsmdummy;		8000.000000000000	no		
NET0		8000.000000000000	no		
NET1		8000.525400d72fbb	no		eth2
NET2		8000.5254001b2f40	no		eth3
no_interfaces		8000.000000000000	no		
ovirtmgmt		8000.525400e425eb	no		eth0
[root@dhcp-0-237 ~]# 

===========================================================================
Comment 1 Red Hat Bugzilla Rules Engine 2015-11-30 17:37:39 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Note You need to log in before you can comment on or make changes to this bug.